using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Threading;

namespace UtilityFunctions
{
    public class UtilityFunctions
    {

        public static bool WaitUntilExists(string file, uint waitTime)
        {
            bool retVal = true;
            uint i = 0;
            FileStream fs;

            while (true)
            {
                try
                {
                    fs = new FileStream(file, FileMode.Open, FileAccess.Read, FileShare.None);
                    fs.Close();
                    break;
                }
                catch
                {
                    Thread.Sleep(50);
                    if ((i * 50) >= waitTime)
                    {
                        retVal = false;
                        break;
                    }
                    i++;
                }
            }
            return retVal;
        }
    }
}
